%global dlrn_nvr cinder-tempest-plugin-1.4.0-2.20220111024730.641d6a0
%global dlrn 1
%define upstream_version 1.4.0
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%global service cinder
%global plugin cinder-tempest-plugin
%global module cinder_tempest_plugin

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global common_desc \
This package contains Tempest tests to cover the cinder project. \
Additionally it provides a plugin to automatically load these tests \
into Tempest.

Name:       python-%{service}-tests-tempest
Version: 1.4.0
Release: 2.20220111024730.641d6a0%{?dist}
Summary:    Tempest Integration of Cinder Project
License:    ASL 2.0
URL:        https://git.openstack.org/cgit/openstack/%{plugin}/

Source0: cinder-tempest-plugin-1.4.0-2.20220111024730.641d6a0.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=641d6a009ead01eaa056608067119ca3e8e12e2d

BuildArch:  noarch

BuildRequires:  git
BuildRequires:  openstack-macros

%description
%{common_desc}

%package -n python%{pyver}-%{service}-tests-tempest
Summary: %{summary}
%{?python_provide:%python_provide python%{pyver}-%{service}-tests-tempest}
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-setuptools

Obsoletes:   python-cinder-tests < 1:12.0.0

Requires:   python%{pyver}-pbr >= 3.1.1
Requires:   python%{pyver}-six >= 1.10.0
Requires:   python%{pyver}-tempest >= 1:18.0.0
Requires:   python%{pyver}-oslo-config >= 2:5.2.0
Requires:   python%{pyver}-oslo-serialization >= 2.18.0

%description -n python%{pyver}-%{service}-tests-tempest
%{common_desc}

%prep
%autosetup -n %{plugin}-%{upstream_version} -S git

# Let's handle dependencies ourseleves
%py_req_cleanup
# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%{pyver_build}

%install
%{pyver_install}

%files -n python%{pyver}-%{service}-tests-tempest
%license LICENSE
%doc README.rst
%{pyver_sitelib}/%{module}
%{pyver_sitelib}/*.egg-info

%changelog
* Mon Jan 10 2022 OSP Prod Chain <dev-null@redhat.com> 1.4.0-2.20220111024730.641d6a0
- Update patches

* Mon Jun 07 2021 CPaaS User <cpaas-ops@redhat.com> - 1.4.0-2.20210527203802.641d6a0.2
- Bump release

* Mon Jun 07 2021 CPaaS User <cpaas-ops@redhat.com> - 1.4.0-2.20210527203802.641d6a0.1
- Bump release

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.0-2.20210527203802.641d6a0
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.0-1
- Update patches
- Fix cinder-backup/swift: readd member to tempest roles
- Use the embedded scenario manager instead of tempest one
- Add test idempotent IDs when missing
- Switch to stestr
- Add Snapshot data integrity test
- Ignore H101 rule
- test_volume_encrypted: Stop creating an image for each instance
- Encryption Test Scenario for clone volume
- Run the tests on stable/victoria as well, remove stein
- Add doc/requirements
- Add py38 package metadata
- Wait for CG to be available before creating volume in the CG
- Enable barbican jobs  to run on ubuntu focal
- [goal] Migrate cinder-tempest-plugin jobs to focal

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches

* Tue Dec 01 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches
- Consistency groups: fix the exceptions handling
- Add test for cinder_img_volume_type image metadata
- zuul: collect cinderlib logs from tempest node(s) only
- Skip a few c-bak tests broken by the new ceph
- Disable siblings for the cindelib functional tests
- Add test cases for bugs 1869746 and 1873518
- Fix hacking min version to 3.0.1
- Add stable branch jobs on the plugins master gate
- Cleanup py27 support
- Add a basic CentOS 8 job (LVM/lio/barbican)
- Enable revert tests when possible, bump timeout
- Add LVM+tgt tempest job
- Handle the case when tempest fails
- Extending testing scope of Incremental Backup
- Create new Ceph job with c-bak service enabled
- Ussuri contrib docs community goal
- Update cinder-tempest-plugin-lvm-lio (revamp)
- Use python3 devstack ceph plugin job
- Drop python 2.7 support and testing

* Fri Oct 30 2020 OSP Prod Chain <dev-null@redhat.com> 0.3.1-1
- Update patches

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.3.1-1
- Update patches

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> 0.3.1-1
- Update patches

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> 0.3.1-1
- Update patches

* Thu Feb 27 2020 OSP Prod Chain <dev-null@redhat.com> 0.3.1-1
- Update patches

* Thu Dec 26 2019 OSP Prod Chain <dev-null@redhat.com> 0.3.1-1
- Update patches
- Allow to run with API v3 (remove deprecated options)
- Update README.md for running cinder tests in tempest

* Mon Sep 30 2019 OSP Prod Chain <dev-null@redhat.com> 0.3.0-1
- Update patches

* Mon Sep 30 2019 RDO <dev@lists.rdoproject.org> 0.3.0-1
- Update to 0.3.0


